Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354084 - [abrt] WARNING: CPU: 0 PID: 195 at drivers/gpu/drm/i915/intel_display.c:11385 intel_mmio_flip_work_func+0x48f/0x4c0 [i915]
Summary: [abrt] WARNING: CPU: 0 PID: 195 at drivers/gpu/drm/i915/intel_display.c:11385...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:80dc36705874aef8978dee90232...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 11:17 UTC by morgan read
Modified: 2017-08-08 15:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:28:56 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-09 11:17 UTC, morgan read
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1349363 None None None Never

Internal Links: 1349363

Description morgan read 2016-07-09 11:17:12 UTC
Description of problem:
I don't know what caused this problem
But, if first occured in f22 a few days before f24 release date

Additional info:
reporter:       libreport-2.7.1
WARNING: CPU: 0 PID: 195 at drivers/gpu/drm/i915/intel_display.c:11385 intel_mmio_flip_work_func+0x48f/0x4c0 [i915]
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, ((void *)0), &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 ccm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables bnep vfat fat intel_rapl x86_pkg_temp_thermal coretemp kvm_intel iTCO_wdt iTCO_vendor_support arc4 kvm hp_wmi sparse_keymap irqbypass iwlmvm mac80211 i2c_i801 hid_sensor_rotation hid_sensor_incl_3d hid_sensor_magn_3d hid_sensor_gyro_3d uvcvideo hid_sensor_accel_3d hid_sensor_trigger hid_sensor_iio_common
 industrialio_triggered_buffer videobuf2_vmalloc btusb btrtl iwlwifi btbcm btintel bluetooth videobuf2_memops videobuf2_v4l2 cfg80211 videobuf2_core videodev joydev media lpc_ich rfkill snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic rtsx_pci_ms memstick shpchp snd_hda_intel snd_soc_rt286 snd_soc_ssm4567 snd_soc_rl6347a mei_me snd_soc_core snd_hda_codec mei snd_hda_core snd_compress snd_pcm_dmaengine snd_hwdep ac97_bus snd_seq wmi snd_seq_device snd_pcm snd_timer snd elan_i2c soundcore snd_soc_sst_acpi dw_dmac snd_soc_sst_match dw_dmac_core i2c_designware_platform acpi_als hp_accel i2c_designware_core kfifo_buf lis3lv02d industrialio input_polldev hp_wireless spi_pxa2xx_platform acpi_pad tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt hid_sensor_hub
 hid_multitouch i915 rtsx_pci_sdmmc i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel drm serio_raw rtsx_pci sdhci_acpi sdhci mmc_core video i2c_hid fjes
CPU: 0 PID: 195 Comm: kworker/0:2 Not tainted 4.6.3-300.fc24.x86_64 #1
Hardware name: HP HP Spectre x360 Convertible /802D, BIOS F.2D 10/23/2015
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000286 00000000e949eca3 ffff8802423a3d10 ffffffff813dbcff
 ffff8802423a3d60 0000000000000000 ffff8802423a3d50 ffffffff810a740b
 00002c79423a3d20 ffff8800aa2b9f00 ffff880229dadb40 ffff880233855f80
Call Trace:
 [<ffffffff813dbcff>] dump_stack+0x63/0x84
 [<ffffffff810a740b>] __warn+0xcb/0xf0
 [<ffffffff810a748f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc0199c7f>] intel_mmio_flip_work_func+0x48f/0x4c0 [i915]
 [<ffffffff810c0d54>] process_one_work+0x184/0x440
 [<ffffffff810c105e>] worker_thread+0x4e/0x480
 [<ffffffff810c1010>] ? process_one_work+0x440/0x440
 [<ffffffff810c1010>] ? process_one_work+0x440/0x440
 [<ffffffff810c6f48>] kthread+0xd8/0xf0
 [<ffffffff817dd602>] ret_from_fork+0x22/0x40
 [<ffffffff810c6e70>] ? kthread_worker_fn+0x180/0x180

Comment 1 morgan read 2016-07-09 11:17:27 UTC
Created attachment 1177839 [details]
File: dmesg

Comment 2 morgan read 2016-07-09 11:23:59 UTC
Related bugs:
Bug 1339328
Bug 1320307
Bug 1326492
Bug 1133131
Bug 1349363
Bug 1326494
Bug 1354084

Comment 3 Mikhail 2016-07-09 11:33:45 UTC
morgan, I don't see this messages in my dmesg log, but I see another:

[  625.652196] ======================================================
[  625.652197] [ INFO: possible circular locking dependency detected ]
[  625.652199] 4.6.3-300.fc24.x86_64+debug #1 Not tainted
[  625.652200] -------------------------------------------------------
[  625.652202] DOM Worker/6268 is trying to acquire lock:
[  625.652203]  (&sb->s_type->i_mutex_key#20){+.+.+.}, at: [<ffffffffc0952c8d>] xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652237] 
               but task is already holding lock:
[  625.652239]  (&pipe->mutex/1){+.+.+.}, at: [<ffffffff812a14fe>] pipe_lock+0x1e/0x20
[  625.652245] 
               which lock already depends on the new lock.

[  625.652247] 
               the existing dependency chain (in reverse order) is:
[  625.652248] 
               -> #2 (&pipe->mutex/1){+.+.+.}:
[  625.652252]        [<ffffffff81113ace>] lock_acquire+0xfe/0x1f0
[  625.652255]        [<ffffffff818c9436>] mutex_lock_nested+0x86/0x400
[  625.652258]        [<ffffffff812a14fe>] pipe_lock+0x1e/0x20
[  625.652261]        [<ffffffff812d12f0>] splice_to_pipe+0x40/0x260
[  625.652264]        [<ffffffff812d2cc3>] __generic_file_splice_read+0x633/0x710
[  625.652267]        [<ffffffff812d3175>] generic_file_splice_read+0x45/0x90
[  625.652269]        [<ffffffffc09503fc>] xfs_file_splice_read+0x11c/0x2a0 [xfs]
[  625.652291]        [<ffffffff812d1669>] do_splice_to+0x79/0x90
[  625.652293]        [<ffffffff812d4004>] SyS_splice+0x7f4/0x830
[  625.652296]        [<ffffffff818cccfc>] entry_SYSCALL_64_fastpath+0x1f/0xbd
[  625.652299] 
               -> #1 (&(&ip->i_iolock)->mr_lock){++++++}:
[  625.652302]        [<ffffffff81113ace>] lock_acquire+0xfe/0x1f0
[  625.652304]        [<ffffffff8110c0de>] down_write_nested+0x5e/0xc0
[  625.652308]        [<ffffffffc09613d5>] xfs_ilock+0x215/0x2c0 [xfs]
[  625.652328]        [<ffffffffc0952c9a>] xfs_file_buffered_aio_write+0x7a/0x350 [xfs]
[  625.652347]        [<ffffffffc09530b1>] xfs_file_write_iter+0x141/0x160 [xfs]
[  625.652365]        [<ffffffff81297abe>] __vfs_write+0xce/0x120
[  625.652367]        [<ffffffff81298375>] vfs_write+0xa5/0x190
[  625.652370]        [<ffffffff81299848>] SyS_write+0x58/0xd0
[  625.652372]        [<ffffffff818cccfc>] entry_SYSCALL_64_fastpath+0x1f/0xbd
[  625.652374] 
               -> #0 (&sb->s_type->i_mutex_key#20){+.+.+.}:
[  625.652377]        [<ffffffff81112f68>] __lock_acquire+0x1778/0x18e0
[  625.652380]        [<ffffffff81113ace>] lock_acquire+0xfe/0x1f0
[  625.652382]        [<ffffffff818c9436>] mutex_lock_nested+0x86/0x400
[  625.652384]        [<ffffffffc0952c8d>] xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652401]        [<ffffffffc09530b1>] xfs_file_write_iter+0x141/0x160 [xfs]
[  625.652419]        [<ffffffff812978cb>] vfs_iter_write+0x7b/0xd0
[  625.652421]        [<ffffffff812d21f0>] iter_file_splice_write+0x270/0x3c0
[  625.652423]        [<ffffffff812d3b79>] SyS_splice+0x369/0x830
[  625.652426]        [<ffffffff818cccfc>] entry_SYSCALL_64_fastpath+0x1f/0xbd
[  625.652428] 
               other info that might help us debug this:

[  625.652430] Chain exists of:
                 &sb->s_type->i_mutex_key#20 --> &(&ip->i_iolock)->mr_lock --> &pipe->mutex/1

[  625.652435]  Possible unsafe locking scenario:

[  625.652437]        CPU0                    CPU1
[  625.652438]        ----                    ----
[  625.652439]   lock(&pipe->mutex/1);
[  625.652441]                                lock(&(&ip->i_iolock)->mr_lock);
[  625.652443]                                lock(&pipe->mutex/1);
[  625.652445]   lock(&sb->s_type->i_mutex_key#20);
[  625.652447] 
                *** DEADLOCK ***

[  625.652449] 2 locks held by DOM Worker/6268:
[  625.652450]  #0:  (sb_writers#17){.+.+.+}, at: [<ffffffff8129b8d4>] __sb_start_write+0xb4/0xf0
[  625.652455]  #1:  (&pipe->mutex/1){+.+.+.}, at: [<ffffffff812a14fe>] pipe_lock+0x1e/0x20
[  625.652460] 
               stack backtrace:
[  625.652463] CPU: 1 PID: 6268 Comm: DOM Worker Not tainted 4.6.3-300.fc24.x86_64+debug #1
[  625.652464] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[  625.652466]  0000000000000086 000000000b7dc419 ffff8807f5f3fa90 ffffffff81458b55
[  625.652470]  ffffffff82b1f500 ffffffff82b20c40 ffff8807f5f3fad0 ffffffff8110ff4e
[  625.652473]  0000000000000002 ffff8807faf60000 0000000000000002 ffff8807faf60958
[  625.652476] Call Trace:
[  625.652480]  [<ffffffff81458b55>] dump_stack+0x86/0xc1
[  625.652483]  [<ffffffff8110ff4e>] print_circular_bug+0x1be/0x210
[  625.652485]  [<ffffffff81112f68>] __lock_acquire+0x1778/0x18e0
[  625.652488]  [<ffffffff81113ace>] lock_acquire+0xfe/0x1f0
[  625.652506]  [<ffffffffc0952c8d>] ? xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652508]  [<ffffffff818c9436>] mutex_lock_nested+0x86/0x400
[  625.652525]  [<ffffffffc0952c8d>] ? xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652543]  [<ffffffffc0952c8d>] ? xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652560]  [<ffffffffc0952c8d>] xfs_file_buffered_aio_write+0x6d/0x350 [xfs]
[  625.652563]  [<ffffffff811112b6>] ? mark_held_locks+0x76/0xa0
[  625.652565]  [<ffffffff818c9638>] ? mutex_lock_nested+0x288/0x400
[  625.652567]  [<ffffffff811113d5>] ? trace_hardirqs_on_caller+0xf5/0x1b0
[  625.652585]  [<ffffffffc09530b1>] xfs_file_write_iter+0x141/0x160 [xfs]
[  625.652587]  [<ffffffff812978cb>] vfs_iter_write+0x7b/0xd0
[  625.652590]  [<ffffffff812d21f0>] iter_file_splice_write+0x270/0x3c0
[  625.652592]  [<ffffffff812d3b79>] SyS_splice+0x369/0x830
[  625.652595]  [<ffffffff8110c19f>] ? up_write+0x1f/0x40
[  625.652597]  [<ffffffff811113d5>] ? trace_hardirqs_on_caller+0xf5/0x1b0
[  625.652600]  [<ffffffff818cccfc>] entry_SYSCALL_64_fastpath+0x1f/0xbd
[  854.513489] perf: interrupt took too long (2533 > 2500), lowering kernel.perf_event_max_sample_rate to 78000

Comment 4 Gonzalo San Gil 2016-07-25 20:26:45 UTC
Description of problem:
# ! The computer was idle, with a window of Firefox and the Rednotebook open, with the screensaver active...

Version-Release number of selected component:
kernel-core-4.6.4-301.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.6.4-301.fc24.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 3037 at drivers/gpu/drm/i915/intel_display.c:11385 intel_mmio_flip_work_func+0x48f/0x4c0 [i915]
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, ((void *)0), &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep vfat fat intel_rapl arc4 x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support asus_nb_wmi asus_wmi sparse_keymap iwlmvm snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi mac80211 snd_hda_intel uvcvideo irqbypass snd_hda_codec crct10dif_pclmul btusb crc32_pclmul videobuf2_vmalloc snd_hda_core videobuf2_memops videobuf2_v4l2 snd_hwdep btrtl iwlwifi snd_seq videobuf2_core
 ghash_clmulni_intel btbcm snd_seq_device btintel videodev bluetooth snd_pcm joydev cfg80211 media intel_pch_thermal snd_timer processor_thermal_device mei_me lpc_ich snd i2c_i801 mei rfkill soundcore intel_soc_dts_iosf shpchp snd_soc_sst_acpi wmi snd_soc_sst_match int3400_thermal i2c_designware_platform acpi_thermal_rel asus_wireless i2c_designware_core int3402_thermal int340x_thermal_zone spi_pxa2xx_platform acpi_pad acpi_als kfifo_buf tpm_tis industrialio tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc usb_storage i915 i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw sdhci_acpi sdhci mmc_core video fjes
CPU: 1 PID: 3037 Comm: kworker/1:0 Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX305LA/UX305LA, BIOS UX305LA.202 04/16/2015
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000286 000000009f608a0b ffff88005542fd10 ffffffff813dbcaf
 ffff88005542fd60 0000000000000000 ffff88005542fd50 ffffffff810a742b
 00002c795542fd20 ffff88013a8a2c00 ffff8800922f4f00 ffff88013a967600
Call Trace:
 [<ffffffff813dbcaf>] dump_stack+0x63/0x84
 [<ffffffff810a742b>] __warn+0xcb/0xf0
 [<ffffffff810a74af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc0178c7f>] intel_mmio_flip_work_func+0x48f/0x4c0 [i915]
 [<ffffffff810c0d74>] process_one_work+0x184/0x440
 [<ffffffff810c107e>] worker_thread+0x4e/0x480
 [<ffffffff810c1030>] ? process_one_work+0x440/0x440
 [<ffffffff810c6f68>] kthread+0xd8/0xf0
 [<ffffffff817e0982>] ret_from_fork+0x22/0x40
 [<ffffffff810c6e90>] ? kthread_worker_fn+0x180/0x180

Comment 5 Clemens Eisserer 2016-10-01 17:38:49 UTC
me too :/

Comment 6 Gonzalo San Gil 2016-10-02 11:05:43 UTC
(In reply to Clemens Eisserer from comment #5)
> me too :/

# ! It hasn't appeared again...

Comment 7 Fedora End Of Life 2017-07-25 21:42:07 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 15:28:56 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.